Package com.independentsoft.office.vml

# Enum Class VerticalTextAnchor

java.lang.Object
java.lang.Enum<VerticalTextAnchor>
com.independentsoft.office.vml.VerticalTextAnchor

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalTextAnchor>`, `Constable`

public enum VerticalTextAnchor extends Enum<VerticalTextAnchor>
The Enum VerticalTextAnchor.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  `BOTTOM_BASELINE`
  `BOTTOM_CENTER`
  `BOTTOM_CENTER_BASELINE`
  `MIDDLE`
  `MIDDLE_CENTER`
  `NONE`
  `TOP`
  `TOP_BASELINE`
  `TOP_CENTER`
  `TOP_CENTER_BASELINE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VerticalTextAnchor`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static VerticalTextAnchor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP

    public static final VerticalTextAnchor TOP

  - ### MIDDLE

    public static final VerticalTextAnchor MIDDLE

  - ### BOTTOM

    public static final VerticalTextAnchor BOTTOM

  - ### TOP_CENTER

    public static final VerticalTextAnchor TOP_CENTER

  - ### MIDDLE_CENTER

    public static final VerticalTextAnchor MIDDLE_CENTER

  - ### BOTTOM_CENTER

    public static final VerticalTextAnchor BOTTOM_CENTER

  - ### TOP_BASELINE

    public static final VerticalTextAnchor TOP_BASELINE

  - ### BOTTOM_BASELINE

    public static final VerticalTextAnchor BOTTOM_BASELINE

  - ### TOP_CENTER_BASELINE

    public static final VerticalTextAnchor TOP_CENTER_BASELINE

  - ### BOTTOM_CENTER_BASELINE

    public static final VerticalTextAnchor BOTTOM_CENTER_BASELINE

  - ### NONE

    public static final VerticalTextAnchor NONE

- ## Method Details

  - ### values

    public static VerticalTextAnchor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VerticalTextAnchor valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null